﻿@model GarageMaster.Models.AccountModels.ChangePasswordModel

@{
    ViewData["Title"] = "ChangePassword";
}

<h1>Изменить пароль</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="ChangePassword" asp-controller="Account" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NewPassword" class="control-label"></label>
                <input asp-for="NewPassword" class="form-control" />
                <span asp-validation-for="NewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ConfirmNewPassword" class="control-label"></label>
                <input asp-for="ConfirmNewPassword" class="form-control" />
                <span asp-validation-for="ConfirmNewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Сохранить" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="My" asp-controller="Account">Вернуться в профайл</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}